Manifest V3 Support on Brave?

Hi Brave community,

I recently learned about the upcoming changes with Google’s Manifest V3 and wanted to start a discussion on how this will impact Brave and its users.

I noticed various developers are shifting or have already made an update to Manifest V3.

In an email I received from the team at Simkl, they mentioned that ‘‘Extensions built on Manifest V2 will soon no longer be supported as we transition to Manifest V3. This change is expected to have significant implications for many browser extensions.’’

They completely rewritten their browser extension, more details here: https://simkl.com/apps/chrome/enhancer/updated/

My Question is,

  • What will happen to the old extension running on Manifest v2
  • What steps should users take to prepare for this change? Are there any particular extensions that might be impacted more than others?

Are there any particular extensions that might be impacted more than others?

The only thing I’ve heard is that Adblockers like ublock origin will have severely reduced functionality.

Well, we all kinda know that this manifest v3, was kinda indirectly targeted towards Adblocker companies.

But what about the other extensions, how are they going to get effected or benefited from this?

Hi Halter89,

please take a look at the Blog Entry from Brave: Brave Blog. I think you will find all the information there.

1 Like